Class | Recorder
In: | lib/facets/more/recorder.rb
Parent: | Object

# Recorder

Recorder is similar essentially a method probe. It records everthing that happens to it, building an internal parse tree. You can then pass a substitute object and apply the recoding to it. Or you can utilize the parse tree.

The only limitation of Recorder is with special operators, like if, &&, ||, etc. Since they are not true methods they can‘t be recorded. (Too bad for Ruby.)

## Synopsis

      class Z
        def name ; 'George' ; end
        def age ; 12 ; end
      end

      z = Z.new

      r = Recorder.new
      q = proc { |x| (x.name == 'George') & (x.age > 10) }
      x = q[r]
      x.__call__(z)

produces

      true

### Methods

__call__ inspect method_missing new

### Public Class methods

new( msg=nil )

### Public Instance methods

__call__( orig )
inspect()
method_missing( sym, *args, &blk )

[Validate]